* Import data: process_patents_appln_id.csv;
PROC IMPORT OUT= WORK.pp_appln_id 
            DATAFILE= "D:\Patstat\process_patents_appln_id.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

* Merge pp_appln_id onto tls224_appln_cpc;
	* running time: 11:57.47;
	* 8,439,869 rows and 15 columns;
proc sql;
create table patstat2.pp_cpc as
SELECT 
tls224_appln_cpc.appln_id, tls224_appln_cpc.cpc_class_symbol
FROM patstat.tls224_appln_cpc
INNER JOIN work.pp_appln_id ON tls224_appln_cpc.appln_id = pp_appln_id.appln_id
ORDER by appln_id;
quit;



