
* TLS201_appln;

PROC IMPORT OUT= WORK.tls201_part01 
            DATAFILE= "D:\Autumn\tls201_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls201_part02 
            DATAFILE= "D:\Autumn\tls201_part02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls201_part03 
            DATAFILE= "D:\Autumn\tls201_part03.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc sql;
   create table tls201 as
      select * from tls201_part01
      union all
      select * from tls201_part02;
      select * from tls201;
quit;
proc datasets library=WORK;
   delete tls201_part01;
run;
proc datasets library=WORK;
   delete tls201_part02;
run;
proc sql;
   create table tls201_appln as
      select * from tls201
      union all
      select * from tls201_part03;
      select * from tls201_appln;
quit;
proc datasets library=WORK;
	delete tls201_part03;
run;
proc datasets library=WORK;
	delete tls201;
run;

proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls201_appln;
run;

* TLS206_appln;

PROC IMPORT OUT= WORK.tls206_part01 
            DATAFILE= "D:\Autumn\tls206_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls206_part02 
            DATAFILE= "D:\Autumn\tls206_part02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc sql;
   create table tls206_person as
      select * from tls206_part01
      union all
      select * from tls206_part02;
      select * from tls206_person;
quit;
proc datasets library=WORK;
	delete tls206_part01;
run;
proc datasets library=WORK;
	delete tls206_part02;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls206_person;
run;

* TLS207_pers_appln;

PROC IMPORT OUT= WORK.tls207_part01 
            DATAFILE= "D:\Autumn\tls207_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls207_pers_appln;
run;

*TLS209_appln_ipc;

PROC IMPORT OUT= WORK.tls209_part01 
            DATAFILE= "D:\Autumn\tls209_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls209_part02 
            DATAFILE= "D:\Autumn\tls209_part02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
 append base=tls209_part01 data=tls209_part02;
run;
proc datasets library=work;
    change tls209_part01=tls209_appln_ipc;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls209_appln_ipc;
run;
proc datasets library=WORK;
   delete tls209_part02;
run;

*TLS211_appln_ipc;

PROC IMPORT OUT= WORK.tls211_part01 
            DATAFILE= "D:\Autumn\tls211_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls211_part02 
            DATAFILE= "D:\Autumn\tls211_part02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
 append base=tls211_part01 data=tls211_part02 force;
run;
proc datasets library=work;
    change tls211_part01=tls211_pat_publn;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls211_pat_publn;
run;
proc datasets library=WORK;
   delete tls211_part02;
run;

*TLS212_citation;

PROC IMPORT OUT= WORK.tls212_part01 
            DATAFILE= "D:\Autumn\tls212_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls212_part02 
            DATAFILE= "D:\Autumn\tls212_part02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
 append base=tls212_part01 data=tls212_part02 force;
run;
proc datasets library=work;
    change tls212_part01=tls212_citation;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls212_citation;
run;
proc datasets library=WORK;
   delete tls212_part02;
run;

*TLS224_appln_cpc;

PROC IMPORT OUT= WORK.tls224_part01 
            DATAFILE= "D:\Autumn\tls224_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
PROC IMPORT OUT= WORK.tls224_part02 
            DATAFILE= "D:\Autumn\tls224_part02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
 append base=tls224_part01 data=tls224_part02 force;
run;
proc datasets library=work;
    change tls224_part01=tls224_appln_cpc;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls224_appln_cpc;
run;
proc datasets library=WORK;
   delete tls224_part02;
run;

*TLS225_docdb_fam_cpc;

PROC IMPORT OUT= WORK.tls225_part01 
            DATAFILE= "D:\Autumn\tls225_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
    change tls225_part01=tls225_docdb_fam_cpc;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls225_docdb_fam_cpc;
run;

*TLS227_pers_publn;

PROC IMPORT OUT= WORK.tls227_part01 
            DATAFILE= "D:\Autumn\tls227_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
    change tls227_part01=tls227_pers_publn;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls227_pers_publn;
run;
*TLS229_appln_nace2;

PROC IMPORT OUT= WORK.tls229_part01 
            DATAFILE= "D:\Autumn\tls229_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
    change tls229_part01=tls229_appln_nace2;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls229_appln_nace2;
run;

*TLS801_country;

PROC IMPORT OUT= WORK.tls801_part01 
            DATAFILE= "D:\Autumn\tls801_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
    change tls801_part01=tls801_country;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls801_country;
run;

*TLS901_techn_field_ipc;

PROC IMPORT OUT= WORK.tls901_part01 
            DATAFILE= "D:\Autumn\tls901_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
    change tls901_part01=tls901_techn_field_ipc;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls901_techn_field_ipc;
run;

*TLS902_ipc_nace2;

PROC IMPORT OUT= WORK.tls902_part01 
            DATAFILE= "D:\Autumn\tls902_part01.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
proc datasets library=work;
    change tls902_part01=tls902_ipc_nace2;
run;
proc datasets nolist;
	copy in=work out=patstat memtype=data move;
	select tls902_ipc_nace2;
run;

* Test whether the tables have correct number of observations;
	* Done by cross checking with file in TestScripts.RowCount_2020b_result;
proc sql; 
create table work.tls201 as 
SELECT 'tls201_appln Count:', count(*) FROM patstat.tls201_appln ; 
create table work.tls206 as 
SELECT 'tls206_person Count:', count(*) FROM patstat.tls206_person ; 
create table work.tls207 as 
SELECT 'tls207_pers_appln Count:', count(*) FROM patstat.tls207_pers_appln ; 
create table work.tls209 as 
SELECT 'tls209_appln_ipc Count:', count(*) FROM patstat.tls209_appln_ipc ; 
create table work.tls211 as 
SELECT 'tls211_pat_publn Count:', count(*) FROM patstat.tls211_pat_publn ; 
create table work.tls212 as 
SELECT 'tls212_citation Count:', count(*) FROM patstat.tls212_citation ; 
create table work.tls224 as 
SELECT 'tls224_appln_cpc Count:', count(*) FROM patstat.tls224_appln_cpc ; 
create table work.tls225 as 
SELECT 'tls225_docdb_fam_cpc Count:', count(*) FROM patstat.tls225_docdb_fam_cpc ; 
create table work.tls227 as 
SELECT 'tls227_pers_publn Count:', count(*) FROM patstat.tls227_pers_publn ; 
create table work.tls229 as 
SELECT 'tls229_appln_nace2 Count:', count(*) FROM patstat.tls229_appln_nace2 ;  
create table work.tls801 as 
SELECT 'tls801_country Count:', count(*) FROM patstat.tls801_country ; 
create table work.tls901 as 
SELECT 'tls901_techn_field_ipc Count:', count(*) FROM patstat.tls901_techn_field_ipc ; 
create table work.tls902 as 
SELECT 'tls902_ipc_nace2 Count:', count(*) FROM patstat.tls902_ipc_nace2 ;
quit;

